----    slovenskaverzia=.T.       ----


#[ ZACATEK SOUBORU ]#

#DEF <SCHEMA>    food600
#DEF <PRIMARYKEY> id
#DEF <TABLENAME> sk_payments

#[ CREATE TABLE ZACATEK ]#
    id SERIAL,
    sk_header_key integer NOT NULL,
    druh_pl character(10) COLLATE pg_catalog."default" NOT NULL,
    cena_pl numeric(12,2) NOT NULL,
    cena_mena numeric(12,2),
    tip numeric(12,2),
    mena character(3) COLLATE pg_catalog."default",
    info_text character(1) COLLATE pg_catalog."default",
    info_json json,
    kompez smallint,
    CONSTRAINT sk_payments_pkey PRIMARY KEY (id),
    CONSTRAINT sk_payments_sk_header_key_fkey FOREIGN KEY (sk_header_key)
        REFERENCES <SCHEMA>.sk_headers (id) MATCH SIMPLE
        ON UPDATE CASCADE
        ON DELETE CASCADE
#[ CREATE TABLE KONEC ]#

#[ IF EXIST ZACATEK ]#
#[ PRIMARYKEY ]#
END IF;
#[ KONEC SOUBORU ]#